/*
 * TCAddressResolver.h
 * Public API for the asynchronous name resolver.
 *
 * Copyright (c) 1997 21st Century Software, New York City.
 *
 * See the file Reference/License.rtf for information on usage and
 * redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by David Young <dwy@ace.net>, 1997.
 */

TCNETWORKING_EXPORT NSString *TCAddressResolverCompletionNotification;

TCNETWORKING_EXPORT NSString *TCAddressResolverUserInfoExceptionNameItemKey;
TCNETWORKING_EXPORT NSString *TCAddressResolverUserInfoExceptionReasonItemKey;

@interface TCAddressResolver : NSObject
{
}

/* Detaches a new asynchronous resolver; selector should take 1 argument. If the argument is nil, the host cannot be found and operationUserInfo should be checked for  */
+ (void)detachNewResolverHostName:(NSString *)hostName object:(id)anObject selector:(SEL)aSelector;

@end
