/* TCTCFOUNDATIONExtensions.h created by dwy on Sun 07-Jun-1998 */

#import <Foundation/Foundation.h>

#if defined(WIN32)
#define TCFOUNDATION_EXPORT __declspec(dllimport) extern
#else
#define TCFOUNDATION_EXPORT extern
#endif

#import "NSArray+TCExtensions.h"
#import "NSBundle+MultipleLoadingConveniences.h"
#import "NSData+TCExtensions.h"
#import "NSEnumerator+TCExtensions.h"
#import "NSPort+TCExtensions.h"
#import "NSString+TCExtensions.h"

#import "TCDataScanner.h"
#import "TCMiscellaneous.h"
#import "TCUnixLevelExceptionReporting.h"

// for localization
#define TCLocalizedStringForKey(key)	\
	[[NSBundle bundleForClass:[self class]] localizedStringForKey:key value:@"" table:nil]

// thank you, Omni...
#if defined(NeXT_PDO) || defined(sun)
#define NSSTRINGIFY(name) @ ## #name
#else
// cpp-precomp has a bug in it that makes us have to do this.
#define NSSTRINGIFY(name) @ ## '"' ## name ## '"'
#endif

// An easy way to define string constants.  For example, "NSSTRINGIFY(foo)" produces @"foo" and "DEFINE_NSSTRING(foo);" produces: NSString *foo = @"foo";

#define DEFINE_NSSTRING(name)		NSString *name = NSSTRINGIFY(name)

