#import "TCFoundationExtensions.h"

// send a log message to console, with information on the sending object and selector.
void TCLog(id self, SEL cmd, NSString *format, ...)
{
    va_list argFrame;

    va_start(argFrame, format);
    NSLog(@"[%@ %@] %@", [self description],
          (cmd != NULL ? NSStringFromSelector(cmd) : @"(nil selector)"),
          [[[NSString alloc] initWithFormat:format arguments:argFrame] autorelease]);
    va_end(argFrame);
}

