// UNIX-level exception reporting. Mostly generated from sys/errno.h.

// Exception name constants
TCFOUNDATION_EXPORT NSString *TCOperationNotPermittedException;	// EPERM (1)
TCFOUNDATION_EXPORT NSString *TCNoSuchFileOrDirectoryException;	// ENOENT (2)
TCFOUNDATION_EXPORT NSString *TCNoSuchProcessException;	// ESRCH (3)
TCFOUNDATION_EXPORT NSString *TCInterruptedSystemCallException;	// EINTR (4)
TCFOUNDATION_EXPORT NSString *TCInputOutputErrorException;	// EIO (5)
TCFOUNDATION_EXPORT NSString *TCDeviceNotConfiguredException;	// ENXIO (6)
TCFOUNDATION_EXPORT NSString *TCArgumentListTooLongException;	// E2BIG (7)
TCFOUNDATION_EXPORT NSString *TCExecFormatErrorException;	// ENOEXEC (8)
TCFOUNDATION_EXPORT NSString *TCBadFileDescriptorException;	// EBADF (9)
TCFOUNDATION_EXPORT NSString *TCNoChildProcessesException;	// ECHILD (10)
TCFOUNDATION_EXPORT NSString *TCResourceDeadlockAvoidedException;	// EDEADLK (11)
TCFOUNDATION_EXPORT NSString *TCCannotAllocateMemoryException;	// ENOMEM (12)
TCFOUNDATION_EXPORT NSString *TCPermissionDeniedException;	// EACCES (13)
TCFOUNDATION_EXPORT NSString *TCBadAddressException;	// EFAULT (14)
TCFOUNDATION_EXPORT NSString *TCBlockDeviceRequiredException;	// ENOTBLK (15)
TCFOUNDATION_EXPORT NSString *TCDeviceBusyException;	// EBUSY (16)
TCFOUNDATION_EXPORT NSString *TCFileExistsException;	// EEXIST (17)
TCFOUNDATION_EXPORT NSString *TCCrossDeviceLinkException;	// EXDEV (18)
TCFOUNDATION_EXPORT NSString *TCOperationNotSupportedByDeviceException;	// ENODEV (19)
TCFOUNDATION_EXPORT NSString *TCNotADirectoryException;	// ENOTDIR (20)
TCFOUNDATION_EXPORT NSString *TCIsADirectoryException;	// EISDIR (21)
TCFOUNDATION_EXPORT NSString *TCInvalidArgumentException;	// EINVAL (22)
TCFOUNDATION_EXPORT NSString *TCTooManyOpenFilesInSystemException;	// ENFILE (23)
TCFOUNDATION_EXPORT NSString *TCTooManyOpenFilesException;	// EMFILE (24)
TCFOUNDATION_EXPORT NSString *TCInappropriateIoctlForDeviceException;	// ENOTTY (25)
TCFOUNDATION_EXPORT NSString *TCTextFileBusyException;	// ETXTBSY (26)
TCFOUNDATION_EXPORT NSString *TCFileTooLargeException;	// EFBIG (27)
TCFOUNDATION_EXPORT NSString *TCNoSpaceLeftOnDeviceException;	// ENOSPC (28)
TCFOUNDATION_EXPORT NSString *TCIllegalSeekException;	// ESPIPE (29)
TCFOUNDATION_EXPORT NSString *TCReadOnlyFileSystemException;	// EROFS (30)
TCFOUNDATION_EXPORT NSString *TCTooManyLinksException;	// EMLINK (31)
TCFOUNDATION_EXPORT NSString *TCBrokenPipeException;	// EPIPE (32)
TCFOUNDATION_EXPORT NSString *TCNumericalArgumentOutOfDomainException;	// EDOM (33)
TCFOUNDATION_EXPORT NSString *TCResultTooLargeException;	// ERANGE (34)
TCFOUNDATION_EXPORT NSString *TCResourceTemporarilyUnavailableException;	// EAGAIN (35)
TCFOUNDATION_EXPORT NSString *TCOperationWouldBlockException;	// EWOULDBLOCK (EAGAIN)
TCFOUNDATION_EXPORT NSString *TCOperationNowInProgressException;	// EINPROGRESS (36)
TCFOUNDATION_EXPORT NSString *TCOperationAlreadyInProgressException;	// EALREADY (37)
TCFOUNDATION_EXPORT NSString *TCSocketOperationOnNonSocketException;	// ENOTSOCK (38)
TCFOUNDATION_EXPORT NSString *TCDestinationAddressRequiredException;	// EDESTADDRREQ (39)
TCFOUNDATION_EXPORT NSString *TCMessageTooLongException;	// EMSGSIZE (40)
TCFOUNDATION_EXPORT NSString *TCProtocolWrongTypeForSocketException;	// EPROTOTYPE (41)
TCFOUNDATION_EXPORT NSString *TCProtocolNotAvailableException;	// ENOPROTOOPT (42)
TCFOUNDATION_EXPORT NSString *TCProtocolNotSupportedException;	// EPROTONOSUPPORT (43)
TCFOUNDATION_EXPORT NSString *TCSocketTypeNotSupportedException;	// ESOCKTNOSUPPORT (44)
TCFOUNDATION_EXPORT NSString *TCOperationNotSupportedException;	// EOPNOTSUPP (45)
TCFOUNDATION_EXPORT NSString *TCProtocolFamilyNotSupportedException;	// EPFNOSUPPORT (46)
TCFOUNDATION_EXPORT NSString *TCAddressFamilyNotSupportedByProtocolFamilyException;	// EAFNOSUPPORT (47)
TCFOUNDATION_EXPORT NSString *TCAddressAlreadyInUseException;	// EADDRINUSE (48)
TCFOUNDATION_EXPORT NSString *TCCanTAssignRequestedAddressException;	// EADDRNOTAVAIL (49)
TCFOUNDATION_EXPORT NSString *TCNetworkIsDownException;	// ENETDOWN (50)
TCFOUNDATION_EXPORT NSString *TCNetworkIsUnreachableException;	// ENETUNREACH (51)
TCFOUNDATION_EXPORT NSString *TCNetworkDroppedConnectionOnResetException;	// ENETRESET (52)
TCFOUNDATION_EXPORT NSString *TCSoftwareCausedConnectionAbortException;	// ECONNABORTED (53)
TCFOUNDATION_EXPORT NSString *TCConnectionResetByPeerException;	// ECONNRESET (54)
TCFOUNDATION_EXPORT NSString *TCNoBufferSpaceAvailableException;	// ENOBUFS (55)
TCFOUNDATION_EXPORT NSString *TCSocketIsAlreadyConnectedException;	// EISCONN (56)
TCFOUNDATION_EXPORT NSString *TCSocketIsNotConnectedException;	// ENOTCONN (57)
TCFOUNDATION_EXPORT NSString *TCCanTSendAfterSocketShutdownException;	// ESHUTDOWN (58)
TCFOUNDATION_EXPORT NSString *TCTooManyReferencesCanTSpliceException;	// ETOOMANYREFS (59)
TCFOUNDATION_EXPORT NSString *TCOperationTimedOutException;	// ETIMEDOUT (60)
TCFOUNDATION_EXPORT NSString *TCConnectionRefusedException;	// ECONNREFUSED (61)
TCFOUNDATION_EXPORT NSString *TCTooManyLevelsOfSymbolicLinksException;	// ELOOP (62)
TCFOUNDATION_EXPORT NSString *TCFileNameTooLongException;	// ENAMETOOLONG (63)
TCFOUNDATION_EXPORT NSString *TCHostIsDownException;	// EHOSTDOWN (64)
TCFOUNDATION_EXPORT NSString *TCNoRouteToHostException;	// EHOSTUNREACH (65)
TCFOUNDATION_EXPORT NSString *TCDirectoryNotEmptyException;	// ENOTEMPTY (66)
TCFOUNDATION_EXPORT NSString *TCTooManyProcessesException;	// EPROCLIM (67)
TCFOUNDATION_EXPORT NSString *TCTooManyUsersException;	// EUSERS (68)
TCFOUNDATION_EXPORT NSString *TCDiscQuotaExceededException;	// EDQUOT (69)
TCFOUNDATION_EXPORT NSString *TCStaleNFSFileHandleException;	// ESTALE (70)
TCFOUNDATION_EXPORT NSString *TCTooManyLevelsOfRemoteInPathException;	// EREMOTE (71)
TCFOUNDATION_EXPORT NSString *TCRPCStructIsBadException;	// EBADRPC (72)
TCFOUNDATION_EXPORT NSString *TCRPCVersionWrongException;	// ERPCMISMATCH (73)
TCFOUNDATION_EXPORT NSString *TCRPCProgNotAvailException;	// EPROGUNAVAIL (74)
TCFOUNDATION_EXPORT NSString *TCProgramVersionWrongException;	// EPROGMISMATCH (75)
TCFOUNDATION_EXPORT NSString *TCBadProcedureForProgramException;	// EPROCUNAVAIL (76)
TCFOUNDATION_EXPORT NSString *TCNoLocksAvailableException;	// ENOLCK (77)
TCFOUNDATION_EXPORT NSString *TCFunctionNotImplementedException;	// ENOSYS (78)
TCFOUNDATION_EXPORT NSString *TCInappropriateFileTypeOrFormatException;	// EFTYPE (79)
TCFOUNDATION_EXPORT NSString *TCAuthenticationErrorException;	// EAUTH (80)
TCFOUNDATION_EXPORT NSString *TCNeedAuthenticatorException;	// ENEEDAUTH (81)
TCFOUNDATION_EXPORT NSString *TCMustBeEqualLargestErrnoException;	// ELAST (81)
TCFOUNDATION_EXPORT NSString *TCDevicePowerIsOffException;	// EPWROFF (82)
TCFOUNDATION_EXPORT NSString *TCDeviceErrorEGPaperOutException;	// EDEVERR (83)
TCFOUNDATION_EXPORT NSString *TCDeviceNotInitializedException;	// ENOINIT (84)
TCFOUNDATION_EXPORT NSString *TCBadExecutableException;	// EBADEXEC (85)
TCFOUNDATION_EXPORT NSString *TCBadCPUTypeInExecutableException;	// EBADARCH (86)
TCFOUNDATION_EXPORT NSString *TCSharedLibraryVersionMismatchException;	// ESHLIBVERS (87)
TCFOUNDATION_EXPORT NSString *TCMalformedMachOFileException;	// EBADMACHO (88)

TCFOUNDATION_EXPORT NSString *TCRestartSystemCallException;	// ERESTART (-1)
TCFOUNDATION_EXPORT NSString *TCDontModifyRegsJustReturnException;	// EJUSTRETURN (-2)

// Raises an exception from a UNIX error code, e.g. errno.
TCFOUNDATION_EXPORT volatile void TCRaiseExceptionWithUNIXErrorCode(int errorCode);

