/* NSHost+NSCopying,NSCoding.m created by dwy on Thu 02-Jul-1998 */

#import "NSHost+NSCopying,NSCoding.h"

@implementation NSHost(NSCopyingNSCoding)

- (id)copyWithZone:(NSZone *)zone
{
    return [self retain];
}

- (id)initWithCoder:(NSCoder *)decoder
{
    if (self = [super init]) {
        names = [[decoder decodeObject] retain];
        addresses = [[decoder decodeObject] retain];
    }

    return self;
}

- (void)encodeWithCoder:(NSCoder *)coder
{
    [coder encodeObject:names];
    [coder encodeObject:addresses];
}

@end
