@class NSObject, NSConnection;
@class TCSocket;

@interface TCStreamMonitor : NSObject
{
    NSPort *_dataPort;
    TCSocket *_stream;

    id _delegate;
}

TCNETWORKING_EXPORT NSString *TCStreamMonitorDataReadNotification;
TCNETWORKING_EXPORT NSString *TCStreamMonitorRemoteClosedNotification;

TCNETWORKING_EXPORT NSString *TCStreamMonitorNotificationDataItem;

- (id)initWithStream:(TCStream *)stream;

- (void)setDelegate:(id)delegate;
- (id)delegate;

- (TCStream *)stream;

- (void)monitorInBackgroundAndNotify;

@end

@interface NSObject(TCStreamMonitorDelegate)
- (void)handleSocketData:(NSData *)data;
@end
